> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-management/datamart-device-id-registry-selections.md).

# Datamart Device Id Registry Selections

Operations related to Datamart Device ID Registry Selections for querying and managing device identifier collections.

## GET /datamarts/{datamart\_id}/device\_id\_registries

> Search device id registry selection

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Datamart Device Id Registry Selections","description":"Operations related to Datamart Device ID Registry Selections for querying and managing device identifier collections."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/device_id_registries":{"get":{"parameters":[{"name":"datamart_id","explode":false,"schema":{"type":"integer","format":"int64"},"required":true,"style":"simple","in":"path"},{"schema":{"type":"string"},"explode":true,"description":"Id of device id registry to search","in":"query","style":"form","required":false,"name":"device_id_registry_id"},{"required":false,"name":"created_by","explode":true,"style":"form","schema":{"type":"string"},"description":"User who created the device id registry selection","in":"query"},{"explode":true,"in":"query","name":"first_result","style":"form","description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"},"required":false},{"in":"query","name":"max_results","style":"form","schema":{"type":"integer","format":"int32"},"explode":true,"description":"Number of maximum items that shall be return by this search","required":false}],"operationId":"findDeviceIdRegistrySelections","tags":["Datamart Device Id Registry Selections"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/DeviceIdRegistryDatamartSelectionResource"}},"first_result":{"type":"integer"},"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"max_results":{"type":"integer"},"total":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","summary":"Search device id registry selection"}}},"components":{"schemas":{"DeviceIdRegistryDatamartSelectionResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"datamart_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"triggers_device_point_merge":{"type":"boolean","default":false,"readOnly":false},"device_id_registry_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","creation_ts","datamart_id","device_id_registry_id","id","last_modified_by","last_modified_ts","triggers_device_point_merge"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /datamarts/{datamart\_id}/device\_id\_registries

> Create a device id registry selection

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Datamart Device Id Registry Selections","description":"Operations related to Datamart Device ID Registry Selections for querying and managing device identifier collections."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/device_id_registries":{"post":{"operationId":"createDeviceIdRegistrySelection","parameters":[{"in":"path","required":true,"explode":false,"schema":{"type":"integer","format":"int64"},"style":"simple","name":"datamart_id"}],"description":"","tags":["Datamart Device Id Registry Selections"],"requestBody":{"description":"The device id registry to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceIdRegistryDatamartSelectionResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DeviceIdRegistryDatamartSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Create a device id registry selection"}}},"components":{"schemas":{"DeviceIdRegistryDatamartSelectionResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"datamart_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"triggers_device_point_merge":{"type":"boolean","default":false,"readOnly":false},"device_id_registry_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","creation_ts","datamart_id","device_id_registry_id","id","last_modified_by","last_modified_ts","triggers_device_point_merge"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /device\_id\_registries/{device\_id\_registry\_id}/datamart\_selections

> Search device id registry datamart selections

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Datamart Device Id Registry Selections","description":"Operations related to Datamart Device ID Registry Selections for querying and managing device identifier collections."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/device_id_registries/{device_id_registry_id}/datamart_selections":{"get":{"parameters":[{"explode":false,"style":"simple","name":"device_id_registry_id","schema":{"type":"string"},"required":true,"in":"path"},{"schema":{"type":"string"},"description":"Id of organisation to search","explode":true,"name":"organisation_id","in":"query","required":false,"style":"form"},{"name":"datamart_id","description":"Id of datamart to search","schema":{"type":"string"},"in":"query","style":"form","explode":true,"required":false},{"in":"query","style":"form","name":"created_by","required":false,"description":"User who created the device id registry selection","schema":{"type":"string"},"explode":true},{"description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"},"name":"first_result","in":"query","explode":true,"required":false,"style":"form"},{"schema":{"type":"integer","format":"int32"},"explode":true,"name":"max_results","style":"form","in":"query","description":"Number of maximum items that shall be return by this search","required":false}],"tags":["Datamart Device Id Registry Selections"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"},"max_results":{"type":"integer"},"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/DeviceIdRegistryDatamartSelectionResource"}},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findDeviceIdRegistryDatamartSelections","description":"","summary":"Search device id registry datamart selections"}}},"components":{"schemas":{"DeviceIdRegistryDatamartSelectionResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"datamart_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"triggers_device_point_merge":{"type":"boolean","default":false,"readOnly":false},"device_id_registry_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","creation_ts","datamart_id","device_id_registry_id","id","last_modified_by","last_modified_ts","triggers_device_point_merge"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /device\_id\_registries/{device\_id\_registry\_id}/datamart\_selections

> Update device id registry datamart selections

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Datamart Device Id Registry Selections","description":"Operations related to Datamart Device ID Registry Selections for querying and managing device identifier collections."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/device_id_registries/{device_id_registry_id}/datamart_selections":{"put":{"summary":"Update device id registry datamart selections","parameters":[{"schema":{"type":"string"},"explode":false,"style":"simple","required":true,"in":"path","name":"device_id_registry_id"},{"style":"form","schema":{"type":"string"},"in":"query","name":"organisation_id","required":false,"explode":true,"description":"Id of the organisation of the registry datamart selections"}],"requestBody":{"description":"The new list of device id registry datamart selections","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceIdRegistryDatamartSelectionsResource"}}},"required":true},"operationId":"updateDeviceIdRegistryDatamartSelections","description":"","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Datamart Device Id Registry Selections"]}}},"components":{"schemas":{"DeviceIdRegistryDatamartSelectionsResource":{"type":"object","properties":{"datamart_selections":{"type":"array","items":{"$ref":"#/components/schemas/DeviceIdRegistryDatamartSelectionUpdateResource"},"readOnly":false}},"required":["datamart_selections"]},"DeviceIdRegistryDatamartSelectionUpdateResource":{"type":"object","properties":{"datamart_id":{"type":"string","readOnly":false},"triggers_device_point_merge":{"type":"boolean","default":false,"readOnly":false}},"required":["datamart_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datamarts/{datamart\_id}/device\_id\_registries/{id}

> Get device id registry from datamart

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Datamart Device Id Registry Selections","description":"Operations related to Datamart Device ID Registry Selections for querying and managing device identifier collections."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/device_id_registries/{id}":{"get":{"description":"","parameters":[{"name":"id","style":"simple","schema":{"type":"string"},"explode":false,"required":true,"description":"The device id registry selection id","in":"path"},{"required":true,"in":"path","explode":false,"schema":{"type":"integer","format":"int64"},"style":"simple","name":"datamart_id"}],"tags":["Datamart Device Id Registry Selections"],"summary":"Get device id registry from datamart","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DeviceIdRegistryDatamartSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getDeviceIdRegistrySelection"}}},"components":{"schemas":{"DeviceIdRegistryDatamartSelectionResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"datamart_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"triggers_device_point_merge":{"type":"boolean","default":false,"readOnly":false},"device_id_registry_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","creation_ts","datamart_id","device_id_registry_id","id","last_modified_by","last_modified_ts","triggers_device_point_merge"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /datamarts/{datamart\_id}/device\_id\_registries/{id}

> Delete device id registry

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Datamart Device Id Registry Selections","description":"Operations related to Datamart Device ID Registry Selections for querying and managing device identifier collections."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/device_id_registries/{id}":{"delete":{"description":"","summary":"Delete device id registry","operationId":"deleteDeviceIdRegistrySelection","parameters":[{"in":"path","schema":{"type":"string"},"explode":false,"style":"simple","description":"The device id registry selection id","name":"id","required":true},{"style":"simple","in":"path","explode":false,"schema":{"type":"integer","format":"int64"},"required":true,"name":"datamart_id"}],"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Datamart Device Id Registry Selections"]}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/datamart-management/datamart-device-id-registry-selections.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
